float PI = 3.141592;

float _pow(float n = 0,int x = 0) {
	float r = n;
	for(i = 1; < x) {
		r = r * n;
	}
	return (r);
}

float _atan(float n = 0) {
	float m = n;
	if(n > 1) m = 1.0 / n;
	if(n < -1) m = -1.0 / n;
	float r = m;
	for(i = 1; < 100) {
		int j = i * 2 + 1;
		float k = _pow(m,j) / j;
		if(k == 0) break;
		if(i % 2 == 0) r = r + k;
		if(i % 2 == 1) r = r - k;
	}
	if(n > 1 || n < -1) r = PI / 2.0 - r;
	if(n < -1) r = 0.0 - r;
	return (r);
}

float _atan2(float z = 0,float x = 0) {
	if(x > 0) return (_atan(z / x));
	if(x < 0) {
		if(z < 0) return (_atan(z / x) - PI);
		if(z > 0) return (_atan(z / x) + PI);
		return (PI);
	}
	if(z > 0) return (PI / 2.0);
	if(z < 0) return (0.0 - (PI / 2.0));
	return (0);
}

float _fact(float n = 0) {
	float r = 1;
	for(i = 1; <= n) {
		r = r * i;
	}
	return (r);
}

float _cos(float n = 0) {
	float r = 1;
	for(i = 1; < 100) {
		int j = i * 2;
		float k = _pow(n,j) / _fact(j);
		if(k == 0) break;
		if(i % 2 == 0) r = r + k;
		if(i % 2 == 1) r = r - k;
	}
	return (r);
}

float _sin(float n = 0) {
	float r = n;
	for(i = 1; < 100) {
		int j = i * 2 + 1;
		float k = _pow(n,j) / _fact(j);
		if(k == 0) break;
		if(i % 2 == 0) r = r + k;
		if(i % 2 == 1) r = r - k;
	}
	return (r);
}

int Player1  = 0;
int Player2  = 0;
int Player3  = 0;
int Player4  = 0;
int Player5  = 0;
int Player6  = 0;
int Player7  = 0;
int Player8  = 0;
int Player9  = 0;
int Player10 = 0;
int Player11 = 0;
int Player12 = 0;

int myGetPlayer(int p = 0) {
	if(p == 1)  return (Player1);
	if(p == 2)  return (Player2);
	if(p == 3)  return (Player3);
	if(p == 4)  return (Player4);
	if(p == 5)  return (Player5);
	if(p == 6)  return (Player6);
	if(p == 7)  return (Player7);
	if(p == 8)  return (Player8);
	if(p == 9)  return (Player9);
	if(p == 10) return (Player10);
	if(p == 11) return (Player11);
	if(p == 12) return (Player12);
	return (0);
}

void mySetPlayer(int p = 0,int n = 0) {
	if(p == 1)  Player1 = n;
	if(p == 2)  Player2 = n;
	if(p == 3)  Player3 = n;
	if(p == 4)  Player4 = n;
	if(p == 5)  Player5 = n;
	if(p == 6)  Player6 = n;
	if(p == 7)  Player7 = n;
	if(p == 8)  Player8 = n;
	if(p == 9)  Player9 = n;
	if(p == 10) Player10 = n;
	if(p == 11) Player11 = n;
	if(p == 12) Player12 = n;
}

void myAddTower(int p = 0,int i = 0,float x = 0,float z = 0,float r = 0) {

	x =  rmXFractionToMeters(rmPlayerLocXFraction(myGetPlayer(p))) - x;
	z =  rmZFractionToMeters(rmPlayerLocZFraction(myGetPlayer(p))) - z;

	float q = _atan2(z,x) - PI;

	x = _cos(q) * r + rmXFractionToMeters(rmPlayerLocXFraction(myGetPlayer(p)));
	z = _sin(q) * r + rmZFractionToMeters(rmPlayerLocZFraction(myGetPlayer(p)));

	int id = rmCreateArea("tower point "+p+" "+i);

	rmSetAreaLocation(id,rmXMetersToFraction(x),rmZMetersToFraction(z));
	rmBuildArea(id);
}

void main(void) {

	int i  = 0;
	int id = 0;

	rmSetStatusText("",0.05);

	string mySkinAbyss       = "BlackRock";
	string mySkinEdge        = "BlackRock";
	string mySkinForest      = "Hades Forest";
	string mySkinForestFloor = "ForestfloorDeadPine";
	string mySkinGround      = "Hadesbuildable2";
	string mySkinPillar      = "Hades6";
	string mySkinRoad        = "Hadesbuildable2";

	float myForestWidth     = 15.0;
	float myMargins         = 10.0;
	float myPointDiameter   = 35.0;
	float myPlayerDistance  = 100.0;
	float myPlayerArea      = 10000.0;
	int   myRoadWidth       = 10;

	if(cMapSize == 1) {
		myPlayerDistance  = 150.0;
		myPlayerArea      = 15000.0;
	}

	rmSetStatusText("",0.10);

	float myPlayerRadius       = sqrt(myPlayerArea / PI);
	float myPlayerDiameter     = myPlayerRadius * 2.0;
	float myPointRadius        = myPointDiameter / 2.0;
	float myPointArea          = myPointRadius * myPointRadius * PI;
	float myForestRadius       = myPlayerRadius - 2.0;
	float myForestArea         = myForestRadius * myForestRadius * PI;
	float myNoForestRadius     = myForestRadius - myForestWidth;
	float myNoForestArea       = myNoForestRadius * myNoForestRadius * PI;
	float myMiddleRadius       = myPlayerDistance + myPlayerDiameter / 2.0 / _sin(PI / cNumberNonGaiaPlayers);
	float myMiddleDiameter     = myMiddleRadius * 2.0;
	float myInnerDiameter      = myMiddleDiameter - myPlayerDiameter;
	float myInnerRadius        = myInnerDiameter / 2.0;
	float myOuterDiameter      = myMiddleDiameter + myPlayerDiameter;
	float myOuterRadius        = myOuterDiameter / 2.0;
	float myCrossPointRadius   = myInnerRadius / 2.0;
	float myGoldRadius         = myMiddleRadius + (myNoForestRadius / 2.0);
	float myTowerRadius        = myNoForestRadius + (myPlayerRadius - myNoForestRadius) / 2.0;

	float myMapMeters        = myOuterDiameter + (myMargins * 2.0) + (myPointRadius * 2.0);
	float myMapArea          = myMapMeters * myMapMeters;

	rmSetMapSize(myMapMeters,myMapMeters);

	float myForestFraction      = myForestArea / myMapArea;
	float myNoForestFraction    = myNoForestArea / myMapArea;
	float myPlayerFraction      = myPlayerArea / myMapArea;
	float myPointFraction       = myPointArea / myMapArea;

	rmSetStatusText("",0.15);

	rmSetSeaLevel(0);

	rmSetSeaType("Styx River");

	rmTerrainInitialize(mySkinAbyss);

	rmSetLightingSet("erebus");

// Classes

	rmSetStatusText("",0.20);

	int myLandClass     = rmDefineClass("land");
	int myResourceClass = rmDefineClass("resource");

// Constraints

	rmSetStatusText("",0.25);

	int myAvoidEdgeConstraint      = rmCreateBoxConstraint("avoid edge",rmXMetersToFraction(myMargins),rmZMetersToFraction(myMargins),1.0 - rmXMetersToFraction(myMargins),1.0 - rmZMetersToFraction(myMargins));
	int myAvoidLandConstraint      = rmCreateClassDistanceConstraint("avoid land",myLandClass,myMargins);
	int myAvoidResourcesConstraint = rmCreateClassDistanceConstraint("avoid resources",myResourceClass,myMargins);
	int myAvoidTreesConstraint     = rmCreateTypeDistanceConstraint("avoid tree","tree",myMargins);

// Players

	rmSetStatusText("",0.30);

	for(t = 0; <= cNumberTeams) {
		for(p = 1; <= cNumberNonGaiaPlayers) {
			if(rmGetPlayerTeam(p) == t) {
				i = i + 1;
				mySetPlayer(i,p);
			}
		}
	}

	rmSetStatusText("",0.35);

	float a = 360.0 / cNumberNonGaiaPlayers;
	float o = rmRandFloat(0.0,a);

	for(i = 1; <= cNumberNonGaiaPlayers) {
		p = myGetPlayer(i);
		float q = rmDegreesToRadians(a * i + o);
		float c = _cos(q);
		float s = _sin(q);
		float x = c * myMiddleRadius + rmXFractionToMeters(0.5);
		float z = s * myMiddleRadius + rmZFractionToMeters(0.5);
		rmPlacePlayer(p,rmXMetersToFraction(x),rmZMetersToFraction(z));
	}

// Base

	id = rmCreateArea("ripple "+i);
	rmSetAreaBaseHeight(id,-10);
	rmSetAreaLocation(id,0.5,0.5);
	rmSetAreaSize(id,1.0,1.0);
	rmBuildArea(id);

// Points

	rmSetStatusText("",0.40);

	id = rmCreateArea("center");
	rmAddAreaToClass(id,myLandClass);
	rmSetAreaBaseHeight(id,0.0);
	rmSetAreaCoherence(id,1.0);
	rmSetAreaHeightBlend(id,1.0);
	rmSetAreaLocation(id,0.5,0.5);
	rmSetAreaSize(id,myPointFraction,myPointFraction);
	rmSetAreaSmoothDistance(id,0.0);
	rmSetAreaTerrainType(id,mySkinGround);
	rmBuildArea(id);

	rmSetStatusText("",0.45);

	for(i = 1; <= cNumberNonGaiaPlayers) {

		if(i < cNumberNonGaiaPlayers) {
			p = i + 1;
		}
		else {
			p = 1;
		}

		q = rmDegreesToRadians(a * i + o);
		c = _cos(q);
		s = _sin(q);

		x = c * myGoldRadius + rmXFractionToMeters(0.5);
		z = s * myGoldRadius + rmZFractionToMeters(0.5);
		id = rmCreateArea("gold point "+i);
		rmSetAreaLocation(id,rmXMetersToFraction(x),rmZMetersToFraction(z));
		rmBuildArea(id);

		q = rmDegreesToRadians(a * i + (a / 2.0) + o);
		c = _cos(q);
		s = _sin(q);

		if(cNumberNonGaiaPlayers == 3) {
			x = c * myInnerRadius;
			z = s * myInnerRadius;
		}
		else {
			x = c * myCrossPointRadius;
			z = s * myCrossPointRadius;
		}

		x = x + rmXFractionToMeters(0.5);
		z = z + rmZFractionToMeters(0.5);

		id = rmCreateArea("cross point "+i);
		rmAddAreaToClass(id,myLandClass);
		rmSetAreaBaseHeight(id,0.0);
		rmSetAreaCoherence(id,1.0);
		rmSetAreaHeightBlend(id,1.0);
		rmSetAreaLocation(id,rmXMetersToFraction(x),rmZMetersToFraction(z));
		rmSetAreaSize(id,myPointFraction,myPointFraction);
		rmSetAreaSmoothDistance(id,0.0);
		rmSetAreaTerrainType(id,mySkinGround);
		rmBuildArea(id);

		myAddTower(i,1,x,z,myTowerRadius);
		myAddTower(p,2,x,z,myTowerRadius);

		if(cNumberNonGaiaPlayers != 3) {

			x = c * myInnerRadius + rmXFractionToMeters(0.5);
			z = s * myInnerRadius + rmZFractionToMeters(0.5);

			id = rmCreateArea("inner point "+i);
			rmAddAreaToClass(id,myLandClass);
			rmSetAreaBaseHeight(id,0.0);
			rmSetAreaCoherence(id,1.0);
			rmSetAreaHeightBlend(id,1.0);
			rmSetAreaLocation(id,rmXMetersToFraction(x),rmZMetersToFraction(z));
			rmSetAreaSize(id,myPointFraction,myPointFraction);
			rmSetAreaSmoothDistance(id,0.0);
			rmSetAreaTerrainType(id,mySkinGround);
			rmBuildArea(id);
		}

		x = c * myMiddleRadius + rmXFractionToMeters(0.5);
		z = s * myMiddleRadius + rmZFractionToMeters(0.5);

		id = rmCreateArea("middle point "+i);
		rmAddAreaToClass(id,myLandClass);
		rmSetAreaBaseHeight(id,0.0);
		rmSetAreaCoherence(id,1.0);
		rmSetAreaHeightBlend(id,1.0);
		rmSetAreaLocation(id,rmXMetersToFraction(x),rmZMetersToFraction(z));
		rmSetAreaSize(id,myPointFraction,myPointFraction);
		rmSetAreaSmoothDistance(id,0.0);
		rmSetAreaTerrainType(id,mySkinGround);
		rmBuildArea(id);

		myAddTower(i,3,x,z,myTowerRadius);
		myAddTower(p,4,x,z,myTowerRadius);

		x = c * myOuterRadius + rmXFractionToMeters(0.5);
		z = s * myOuterRadius + rmZFractionToMeters(0.5);

		id = rmCreateArea("outer point "+i);
		rmAddAreaToClass(id,myLandClass);
		rmSetAreaBaseHeight(id,0.0);
		rmSetAreaCoherence(id,1.0);
		rmSetAreaHeightBlend(id,1.0);
		rmSetAreaLocation(id,rmXMetersToFraction(x),rmZMetersToFraction(z));
		rmSetAreaSize(id,myPointFraction,myPointFraction);
		rmSetAreaSmoothDistance(id,0.0);
		rmSetAreaTerrainType(id,mySkinGround);
		rmBuildArea(id);
	}

// Areas

	rmSetStatusText("",0.50);

	for(i = 1; <= cNumberNonGaiaPlayers) {

		p = myGetPlayer(i);

		id = rmCreateArea("player "+i);
		rmAddAreaToClass(id,myLandClass);
		rmSetAreaBaseHeight(id,0.0);
		rmSetAreaCoherence(id,1.0);
		rmSetAreaHeightBlend(id,1.0);
		rmSetAreaLocPlayer(id,p);
		rmSetAreaSize(id,myPlayerFraction,myPlayerFraction);
		rmSetAreaSmoothDistance(id,0.0);
		rmSetAreaTerrainType(id,mySkinEdge);
		rmBuildArea(id);

		id = rmCreateArea("forest "+i);
		rmSetAreaCoherence(id,1.0);
		rmSetAreaForestType(id,mySkinForest);
		rmSetAreaLocPlayer(id,p);
		rmSetAreaSize(id,myForestFraction,myForestFraction);
		rmSetAreaTerrainType(id,mySkinForestFloor);
		rmBuildArea(id);

		id = rmCreateArea("no forest "+i);
		rmSetAreaCoherence(id,1.0);
		rmSetAreaLocPlayer(id,p);
		rmAddAreaRemoveType(id,"tree");
		rmSetAreaSize(id,myNoForestFraction,myNoForestFraction);
		rmSetAreaTerrainType(id,mySkinGround);
		rmBuildArea(id);
	}

// Connections

	rmSetStatusText("",0.60);

	id = rmCreateConnection("connection");

	for(i = 1; <= cNumberNonGaiaPlayers) {

		rmAddConnectionArea(id,rmAreaID("player "+i));
		rmAddConnectionArea(id,rmAreaID("cross point "+i));
	}

	for(i = 1; <= cNumberNonGaiaPlayers) {

		rmAddConnectionArea(id,rmAreaID("player "+i));
		rmAddConnectionArea(id,rmAreaID("middle point "+i));
		rmAddConnectionArea(id,rmAreaID("outer point "+i));

		if(cNumberNonGaiaPlayers != 3) {
			rmAddConnectionArea(id,rmAreaID("inner point "+i));
		}

		rmAddConnectionArea(id,rmAreaID("middle point "+i));
	}

	rmAddConnectionArea(id,rmAreaID("player 1"));

	for(i = 1; <= cNumberNonGaiaPlayers) {

		rmAddConnectionArea(id,rmAreaID("cross point "+i));
		rmAddConnectionArea(id,rmAreaID("center"));
	}

	rmAddConnectionArea(id,rmAreaID("cross point 1"));

	if(cNumberNonGaiaPlayers >= 5) {

		for(i = 1; <= cNumberNonGaiaPlayers) {
			rmAddConnectionArea(id,rmAreaID("cross point "+i));
		}

		rmAddConnectionArea(id,rmAreaID("cross point 1"));
	}

	rmAddConnectionTerrainReplacement(id,mySkinAbyss,mySkinRoad);
	rmAddConnectionTerrainReplacement(id,mySkinEdge,mySkinRoad);
	rmAddConnectionTerrainReplacement(id,mySkinForestFloor,mySkinRoad);
	rmAddConnectionTerrainReplacement(id,mySkinGround,mySkinRoad);
	rmAddConnectionToClass(id,myLandClass);

	rmSetConnectionBaseHeight(id,0.0);
	rmSetConnectionCoherence(id,1.0);
	rmSetConnectionHeightBlend(id,1.0);
	rmSetConnectionSmoothDistance(id,0.0);
	rmSetConnectionType(id,cConnectAreas,false,1.0);
	rmSetConnectionWidth(id,myRoadWidth,0.0);

	rmBuildConnection(id);

// Pillars

	rmSetStatusText("",0.70);

	for(i = 1; < cNumberPlayers * 10) {

		id = rmCreateArea("pillar "+i);
		rmAddAreaConstraint(id,myAvoidEdgeConstraint);
		rmAddAreaConstraint(id,myAvoidLandConstraint);
		rmAddAreaToClass(id,myLandClass);
		rmSetAreaBaseHeight(id,rmRandInt(25,50));
		rmSetAreaHeightBlend(id,1.0);
		rmSetAreaLocation(id,rmRandFloat(0.0,1.0),rmRandFloat(0.0,1.0));
		rmSetAreaSize(id,rmAreaTilesToFraction(10.0),rmAreaTilesToFraction(10.0));
		rmSetAreaTerrainType(id,mySkinPillar);
		rmSetAreaWarnFailure(id,false);
		rmBuildArea(id);
	}

// Objects

	rmSetStatusText("",0.80);

	int myBoar = rmCreateObjectDef("boar");
	rmAddObjectDefConstraint(myBoar,myAvoidResourcesConstraint);
	rmAddObjectDefConstraint(myBoar,myAvoidTreesConstraint);
	rmAddObjectDefItem(myBoar,"boar",5,5.0);
	rmAddObjectDefToClass(myBoar,myResourceClass);

	int myBush = rmCreateObjectDef("bush");
	rmAddObjectDefConstraint(myBush,myAvoidResourcesConstraint);
	rmAddObjectDefConstraint(myBush,myAvoidTreesConstraint);
	rmAddObjectDefItem(myBush,"berry bush",5,5.0);
	rmAddObjectDefToClass(myBush,myResourceClass);

	int myGold2 = rmCreateObjectDef("medium gold mine");
	rmAddObjectDefItem(myGold2,"gold mine small",1,0.0);
	rmAddObjectDefToClass(myGold2,myResourceClass);

	int myGold3 = rmCreateObjectDef("large gold mine");
	rmAddObjectDefItem(myGold3,"gold mine",1,0.0);
	rmAddObjectDefToClass(myGold3,myResourceClass);

	int myPig = rmCreateObjectDef("pig");
	rmAddObjectDefConstraint(myPig,myAvoidResourcesConstraint);
	rmAddObjectDefConstraint(myPig,myAvoidTreesConstraint);
	rmAddObjectDefItem(myPig,"pig",1,0.0);

	int myPlenty= rmCreateObjectDef("plenty");
	rmAddObjectDefItem(myPlenty,"Plenty Vault KOTH",1,0.0);

	int myRelic = rmCreateObjectDef("relic");
	rmAddObjectDefItem(myRelic,"relic",1,0.0);

	int mySettlement = rmCreateObjectDef("settlement");
	rmAddObjectDefItem(mySettlement,"Settlement",1,0.0);

	int mySpider = rmCreateObjectDef("spider");
	rmAddObjectDefItem(mySpider,"Spider Egg",1,0.0);

	int myTower = rmCreateObjectDef("tower");
	rmAddObjectDefItem(myTower,"tower",1,0.0);

	int myTownCenter = rmCreateObjectDef("town center");
	rmAddObjectDefItem(myTownCenter,"Settlement Level 1",1,0.0);
	rmAddObjectDefToClass(myTownCenter,myResourceClass);

	rmSetStatusText("",0.85);

	rmPlaceObjectDefAtAreaLoc(myPlenty,0,rmAreaID("center"),1);
	rmPlaceObjectDefAtAreaLoc(mySpider,0,rmAreaID("center"),20);

	for(i = 1; <= cNumberNonGaiaPlayers) {

		p = myGetPlayer(i);

		rmPlaceObjectDefAtAreaLoc(myTownCenter,p,rmAreaID("player "+i),1);
		rmPlaceObjectDefAtAreaLoc(myTower,p,rmAreaID("tower point "+i+" 1"),1);
		rmPlaceObjectDefAtAreaLoc(myTower,p,rmAreaID("tower point "+i+" 2"),1);
		rmPlaceObjectDefAtAreaLoc(myTower,p,rmAreaID("tower point "+i+" 3"),1);
		rmPlaceObjectDefAtAreaLoc(myTower,p,rmAreaID("tower point "+i+" 4"),1);
		rmPlaceObjectDefAtAreaLoc(myRelic,0,rmAreaID("middle point "+i),1);
		rmPlaceObjectDefAtAreaLoc(myGold2,0,rmAreaID("gold point "+i),1);
		rmPlaceObjectDefAtAreaLoc(myGold3,0,rmAreaID("outer point "+i),1);
		rmPlaceObjectDefAtAreaLoc(mySettlement,0,rmAreaID("cross point "+i),1);

		if(cNumberNonGaiaPlayers != 3) {
			rmPlaceObjectDefAtAreaLoc(myGold3,0,rmAreaID("inner point "+i),1);
		}

		rmPlaceObjectDefInArea(myBoar,0,rmAreaID("no forest "+i),2);
		rmPlaceObjectDefInArea(myBush,0,rmAreaID("no forest "+i),2);
		rmPlaceObjectDefInArea(myPig,0,rmAreaID("no forest "+i),10);
	}

// Triggers

	rmSetStatusText("",0.90);

	rmCreateTrigger("Flare");
	rmCreateTrigger("Startup");

	rmSwitchToTrigger(rmTriggerID("Flare"));
	rmSetTriggerActive(false);

	rmSwitchToTrigger(rmTriggerID("Startup"));
	rmSetTriggerActive(true);

	rmAddTriggerCondition("Timer");
	rmSetTriggerConditionParamInt("Param1",3);

	rmAddTriggerEffect("Send Chat");
	rmSetTriggerEffectParamInt("PlayerID",0);
	rmSetTriggerEffectParam("Message","The Void II by Wolfenhex");

	rmAddTriggerEffect("Message");
	rmSetTriggerEffectParamInt("Timeout (ms)",1);
	rmSetTriggerEffectParam("Text","Hold the Plenty Vault in the middle of the map for 15 minutes to win.");

	for(i = 1; < cNumberPlayers) {

		rmCreateTrigger("StartCounter"+i);
		rmCreateTrigger("StopCounter"+i);
		rmCreateTrigger("Victory"+i);
		rmCreateTrigger("Warning"+i);


		rmSwitchToTrigger(rmTriggerID("Flare"));

		rmAddTriggerEffect("Flare Minimap");
		rmSetTriggerEffectParamInt("PlayerID",i);
		rmSetTriggerEffectParam("Duration","5.0");
		rmSetTriggerEffectParam("Position",(myMapMeters / 2)+",1,"+(myMapMeters / 2));
		rmSetTriggerEffectParam("Flash","true");


		rmSwitchToTrigger(rmTriggerID("StartCounter"+i));
		rmSetTriggerActive(true);

		rmAddTriggerCondition("Player Unit Count");
		rmSetTriggerConditionParamInt("PlayerID",i);
		rmSetTriggerConditionParam("ProtoUnit","Plenty Vault KOTH");
		rmSetTriggerConditionParam("Op",">");
		rmSetTriggerConditionParamInt("Count",0);

		rmAddTriggerEffect("Sound Filename");
		rmSetTriggerEffectParam("Sound","fanfare.wav");

		rmAddTriggerEffect("Send Chat");
		rmSetTriggerEffectParamInt("PlayerID",0);
		rmSetTriggerEffectParam("Message",rmGetPlayerName(i)+" has captured the Plenty Vault!");

		rmAddTriggerEffect("Counter:Add Timer");
		rmSetTriggerEffectParam("Name","Counter"+i);
		rmSetTriggerEffectParamInt("Start",900);
		rmSetTriggerEffectParamInt("Stop",0);
		rmSetTriggerEffectParam("Msg","<color={PlayerColor("+i+")}>Time until "+rmGetPlayerName(i)+" is King of the Void");
		rmSetTriggerEffectParamInt("Event",rmTriggerID("Victory"+i));

		rmAddTriggerEffect("Fire Event");
		rmSetTriggerEffectParamInt("EventID",rmTriggerID("StopCounter"+i));

		rmAddTriggerEffect("Fire Event");
		rmSetTriggerEffectParamInt("EventID",rmTriggerID("Warning"+i));


		rmSwitchToTrigger(rmTriggerID("Startup"));

		rmAddTriggerEffect("Set Tech Status");
		rmSetTriggerEffectParamInt("PlayerID",i);
		rmSetTriggerEffectParam("TechID","378");
		rmSetTriggerEffectParam("Status","4");


		rmSwitchToTrigger(rmTriggerID("StopCounter"+i));
		rmSetTriggerActive(false);

		rmAddTriggerCondition("Player Unit Count");
		rmSetTriggerConditionParamInt("PlayerID",i);
		rmSetTriggerConditionParam("ProtoUnit","Plenty Vault KOTH");
		rmSetTriggerConditionParam("Op","<");
		rmSetTriggerConditionParamInt("Count",1);

		rmAddTriggerEffect("Counter Stop");
		rmSetTriggerEffectParam("Name","Counter"+i);

		rmAddTriggerEffect("Disable Trigger");
		rmSetTriggerEffectParam("TrigName","Warning"+i);

		rmAddTriggerEffect("Fire Event");
		rmSetTriggerEffectParamInt("EventID",rmTriggerID("StartCounter"+i));


		rmSwitchToTrigger(rmTriggerID("Victory"+i));
		rmSetTriggerActive(false);

		rmAddTriggerEffect("Send Chat");
		rmSetTriggerEffectParamInt("PlayerID",0);
		rmSetTriggerEffectParam("Message",rmGetPlayerName(i)+" is the King of the Void!");

		rmAddTriggerEffect("Set Player Won");
		rmSetTriggerEffectParamInt("Player",i);


		rmSwitchToTrigger(rmTriggerID("Warning"+i));
		rmSetTriggerActive(false);

		rmAddTriggerCondition("Timer");
		rmSetTriggerConditionParamInt("Param1",840);

		rmAddTriggerEffect("Fire Event");
		rmSetTriggerEffectParamInt("EventID",rmTriggerID("Flare"));

		rmAddTriggerEffect("Send Chat");
		rmSetTriggerEffectParamInt("PlayerID",0);
		rmSetTriggerEffectParam("Message","One minute left until "+rmGetPlayerName(i)+" is the King of the Void!");
	}

	rmSetStatusText("",1.0);
}
